Package org.bukkit.material

# Class NetherWarts

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.NetherWarts

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class NetherWarts extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents nether wart

## Constructor Summary

Constructors
Constructor
Description
`NetherWarts()`
Deprecated.
`NetherWarts(Material type)`
Deprecated.
`NetherWarts(Material type, byte data)`
Deprecated.
Magic value
`NetherWarts(NetherWartsState state)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`NetherWarts`
`clone()`
Deprecated.
`NetherWartsState`
`getState()`
Deprecated.
Gets the current growth state of this nether wart
`void`
`setState(NetherWartsState state)`
Deprecated.
Sets the growth state of this nether wart
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NetherWarts

public NetherWarts()
Deprecated.

### NetherWarts

public NetherWarts(NetherWartsState state)
Deprecated.

### NetherWarts

public NetherWarts(Material type)
Deprecated.

### NetherWarts

@Deprecated public NetherWarts(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getState

public NetherWartsState getState()
Deprecated.
Gets the current growth state of this nether wart

Returns:
  NetherWartsState of this nether wart

### setState

public void setState(NetherWartsState state)
Deprecated.
Sets the growth state of this nether wart

Parameters:
  `state` - New growth state of this nether wart

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public NetherWarts clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`